﻿namespace EonaCat.HID
{
    public class DeviceData
    {
        public enum ReadStatus
        {
            Success = 0,
            WaitTimedOut = 1,
            WaitFail = 2,
            NoDataRead = 3,
            ReadError = 4,
            NotConnected = 5
        }

        public DeviceData(ReadStatus status)
        {
            Data = new byte[] {};
            Status = status;
        }

        public DeviceData(byte[] data, ReadStatus status)
        {
            Data = data;
            Status = status;
        }

        public byte[] Data { get; private set; }
        public ReadStatus Status { get; private set; }
    }
}
